Package rdkit :: Package Chem :: Package Pharm2D :: Module Gobbi_Pharm2D

[hide private]
[frames] | no frames]

# Module Gobbi_Pharm2D

source code

    Definitions for 2D Pharmacophores from:
    Gobbi and Poppinger, Biotech. Bioeng. _61_ 47-54 (1998)

Functions | [hide private]

_init() | source code

Variables | [hide private]

| fdef = ``...``
| defaultBins = `[(2, 3), (3, 4), (4, 5), (5, 6), (6, 7), (7, 8),`...``

Imports: Chem, SigFactory, ChemicalFeatures

Variables Details | [hide private]

### fdef

Value:

      """
      DefineFeature Hydrophobic [$([C;H2,H1](!=*)[C;H2,H1][C;H2,H1][$([C;H1,
      H2,H3]);!$(C=*)]),$(C([C;H2,H3])([C;H2,H3])[C;H2,H3])]
        Family LH
        Weights 1.0
      EndFeature
      DefineFeature Donor [$([N;!H0;v3]),$([N;!H0;+1;v4]),$([O,S;H1;+0]),$([
      n;H1;+0])]
      ...

### defaultBins

Value:

      [(2, 3), (3, 4), (4, 5), (5, 6), (6, 7), (7, 8), (8, 100)]